Bug 1302293 - [RFE][Tracker] Command Infrastructure Enhancements
[RFE][Tracker] Command Infrastructure Enhancements
Product: ovirt-engine
Classification: oVirt
Component: Backend.Core (Show other bugs)
Unspecified Unspecified
high Severity high (vote)
: ovirt-4.0.0-beta
: 4.0.0
Assigned To: Moti Asayag
meital avital
: FutureFeature, Tracking
Depends On:
Blocks: 1226562 1284903
  Show dependency treegraph
Reported: 2016-01-27 07:35 EST by Moti Asayag
Modified: 2016-08-04 09:28 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-08-04 09:28:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mavital: needinfo+
rule-engine: ovirt‑4.0.0+
pstehlik: testing_plan_complete-
mgoldboi: planning_ack+
masayag: devel_ack+
pstehlik: testing_ack+

Attachments (Terms of Use)

  None (edit)
Description Moti Asayag 2016-01-27 07:35:33 EST
A tracker for Command infrastructures related tasks
Comment 1 Sandro Bonazzola 2016-05-02 05:55:15 EDT
Moving from 4.0 alpha to 4.0 beta since 4.0 alpha has been already released and bug is not ON_QA.
Comment 2 Lukas Svaty 2016-07-01 04:06:19 EDT
Can you propose some verification steps for this one please?
Comment 3 Moti Asayag 2016-07-04 15:16:06 EDT
Basically, the changes of the command infrastructure should be verified by testing the flows which use command-coordinator:

1. Upgrade host manager, when the host is in 'Up' status.
2. Live storage migration
3. V2V

Liron, Arik, any other flows that should be covered as part of verifying the series of patches which modified CoCo ? Any guidelines to combine tests with compensation ?
Comment 4 Liron Aravot 2016-07-05 08:29:14 EDT
From the storage team prespective I'd test the LSM flow on different scenarios (postive, migration of few vm disks and fail one migration, engine restart) and test flows the combine async task operation with no async task operation (for example, creation of a snapshot combining image and cinder disks).

As regards to compensation, I'd fail command that using the command-coordinator infrastructure by performing engine restart and by causing failure to the executed vdsm operation.

Generally speaking, I'd suggest to coordinate with the other QE teams to see what postivie/negative flows they are testing and decide what (if needed) we are going to test here.
Comment 5 Lukas Svaty 2016-07-29 05:03:23 EDT
Tested upgrade host manager and it's working as expected apart from small logging issue BZ#1361511. As this Infra part of this was already verified rest is on storage, moving qa_contact to storage team.
Comment 6 Pavel Stehlik 2016-08-02 02:41:29 EDT
So only v2v left.
Comment 7 meital avital 2016-08-03 08:57:48 EDT
Import from VMware, during import "initialize" progress, restart ovirt-engine and verify paddle lock icon is still appears on VM and verify import progress continues and completed successfully.

Note You need to log in before you can comment on or make changes to this bug.